> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customer Groups

> Getting all the customer groups as paginated response



## OpenAPI

````yaml /openapi.yaml get /customer-groups
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /customer-groups:
    get:
      tags:
        - Customer Groups API
      summary: List Customer Groups
      description: Getting all the customer groups as paginated response
      operationId: list-customer-groups
      responses:
        '200':
          description: Paginated response with customer groups
          content:
            application/json:
              schema:
                type: object
                properties:
                  current_page:
                    type: integer
                    example: 1
                    description: Current page of the response
                  data:
                    type: array
                    description: Array of Customer Group objects
                    items:
                      $ref: '#/components/schemas/CustomerGroup'
                  first_page_url:
                    type: string
                    example: https://api.mijnklantportaal.nl/v1/customer-groups?page=1
                    description: Endpoint to go to the first page of objects
                  from:
                    type: integer
                    example: 1
                    description: Offset of the current page
                  next_page_url:
                    type: string
                    nullable: true
                    example: https://api.mijnklantportaal.nl/v1/customer-groups?page=2,
                    description: Endpoint to get the next batch of objects, if available
                  path:
                    type: string
                    example: https://api.mijnklantportaal.nl/v1/customer-groups
                    description: Current used endpoint
                  per_page:
                    type: integer
                    example: 15
                    description: Amount of object returned per page. Default is 15 objects
                  prev_page_url:
                    type: string
                    nullable: true
                    example: null
                    description: Endpoint to get the previous batch of object, if available
                  to:
                    type: integer
                    example: 15
                    description: Next offset of objects
components:
  schemas:
    CustomerGroup:
      type: object
      description: Customer Group
      properties:
        id:
          type: string
          example: cug_abc12345def678
          description: ID of the customer group, always starting with `cug_`.
        name:
          type: string
          example: Webhosting customers
          description: Name of the customer group
        createdAt:
          type: string
          example: '2025-07-27T14:42:00+02:00'
          description: >-
            Date and time when the customer group was created, written in ATOM
            format.
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````